## powerdebug 0.4.1

=== Makefile ===
BINDIR=/usr/sbin
MANDIR=/usr/share/man/man8

WARNFLAGS=-Wall -Wshadow -W -Wformat -Wimplicit-function-declaration -Wimplicit-int
CFLAGS?=-O1 -g ${WARNFLAGS}
CC?=gcc

OBJS = powerdebug.o sensor.o clocks.o regulator.o display.o

default: powerdebug

powerdebug.8.gz: powerdebug.8
	gzip -c $< > $@

powerdebug: $(OBJS) powerdebug.h
	$(CC) ${CFLAGS} $(OBJS) -lncurses -o powerdebug

install: powerdebug powerdebug.8.gz
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}
	install -m 0755 powerdebug ${DESTDIR}${BINDIR}
	install -m 0644 powerdebug.8.gz ${DESTDIR}${MANDIR}

all: powerdebug powerdebug.8.gz

clean:
	rm -f powerdebug *.o powerdebug.8.gz

=== debian/changelog ===
powerdebug (0.4.1-0ubuntu1) natty; urgency=low

  * Added LICENSE file to source
  * Fix debian/copyright to be more machine-readable
  * Remove XSBC-Original-Maintainer

 -- Amit Kucheria <amit.kucheria@linaro.org>  Mon, 24 Jan 2011 17:58:46 +0200

powerdebug (0.4-0ubuntu1) natty; urgency=low

  * fix copyright in source files and debian/copyright

 -- Amit Kucheria <amit.kucheria@linaro.org>  Mon, 17 Jan 2011 21:14:24 +0200

powerdebug (0.3-0ubuntu1) UNRELEASED; urgency=low

  * Fix coding style issues and some more cleanups
  * Discover debugfs mount point and remove hard coded path
  * Display clock tree in ncurses mode using in-memory data structures
  * Read clocks into memory and add dump support
  * Show all regulators and clocks by default
  * Discover debugfs mount point at runtime
  * Show units for clock rate
  * Add multi-level support for clock tree information
  * Add dump (-d) option support for displaying the clock tree (-c)
  * whitespace cleanups
  * get rid of colors
  * make header display more compact

  [ Marcin Juszkiewicz ]
  * cleanup makefile for debian packaging
  * dropped cdbs dependency
  * switched packaging to '3.0 (native)'
  * rules: switched to debhelper 7

  [ Steve Langasek ]
  * clean up grammar in the package description
  * drop empty debian/docs file
  * document git branch in debian/control
  * use 3.0 (quilt) format; 3.0 (native) is only for native packages

 -- Amit Kucheria <amit.kucheria@linaro.org>  Thu, 13 Jan 2011 15:14:38 -0600

powerdebug (0.2) maverick; urgency=low

  * Add support for clock tree information
  * Add options for ticktime

 -- Amit Arora <amit.arora@linaro.org>  Fri, 08 Sep 2010 16:41:48 +0530

powerdebug (0.1) maverick; urgency=low

  * Initial Release.

 -- Amit Arora <amit.arora@linaro.org>  Fri, 03 Sep 2010 19:18:18 +0530

=== debian/control ===
Source: powerdebug
Section: utils
Priority: optional
Maintainer: Amit Kucheria <amit.kucheria@linaro.org>
Build-Depends: debhelper (>= 7), libncurses5-dev
Vcs-Git: git://git.linaro.org/tools/powerdebug.git release
Standards-Version: 3.9.1

Package: powerdebug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to display regulator, sensor and clock information
 PowerDebug is a tool to display regulator, sensor and clock information.
 Information is refreshed every few seconds.  You can also use dump option
 to display the information just once.

## powerdebug 0.6.1-2011.11

=== debian/changelog ===
powerdebug (0.6.1-2011.11-1) experimental; urgency=low

  * First upload into Debian - closes: #682661.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 18 Jul 2012 11:06:05 +0200

powerdebug (0.6.1-2011.11-0ubuntu1) quantal; urgency=low

  * Bumped debhelper to v9.
  * Added hardening support.
  * Added cross compilation support.
  * Improved description.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 18 Jun 2012 15:48:55 +0200

powerdebug (0.6.1-2011.11+185+74+201110202344~oneiric1linaro2) oneiric; urgency=low

  * Rebuild to generate dbgsym packages

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Sat, 17 Dec 2011 18:20:53 -0200

powerdebug (0.6.1-2011.11+185+74+201110202344~oneiric1) natty; urgency=low

  * Auto build.

 -- Ricardo Salveti <rsalveti@rsalveti.net>  Thu, 20 Oct 2011 23:44:35 +0000

powerdebug (0.6.1-2011.11-0) natty; urgency=low

  * fixed lp: 857382

 -- Daniel Lezcano <daniel.lezcano@linaro.org>  Thu, 20 Oct 2011 14:36:19 +0200

powerdebug (0.6.0-2011.09-0) natty; urgency=low

  * added gpio support
  * added android port

 -- Daniel Lezcano <daniel.lezcano@linaro.org>  Tue, 20 Sep 2011 15:54:06 +0200

powerdebug (0.5.2-2011.08-0) natty; urgency=low

  * fixed lp: 827825

 -- Daniel Lezcano <daniel.lezcano@linaro.org>  Wed, 17 Aug 2011 17:01:28 +0200

powerdebug (0.5.1-2011.07-0) natty; urgency=low

  * fixed lp: 802387

 -- Daniel Lezcano <daniel.lezcano@linaro.org>  Mon, 25 Jul 2011 23:25:05 +0200

powerdebug (0.5.0-2011.06-0) natty; urgency=low

  * added tree algorithm
  * a lot of code cleanup
  * rewrote the clock code
  * rewrote the display code
  * rewrote the regulator code
  * rewrote the sensor code
  * rewrote the search code for a clock
  * added sensor to display
  * added a mainloop
  * made the different pm block code consistent to each other
  * removed most of global variables
  * fixed https://bugs.launchpad.net/linaro-powerdebug/+bug/794725
  * fixed https://bugs.launchpad.net/linaro-powerdebug/+bug/794726
  * fixed https://bugs.launchpad.net/linaro-powerdebug/+bug/794728
  * fixed https://bugs.launchpad.net/linaro-powerdebug/+bug/794731

 -- Daniel Lezcano <daniel.lezcano@linaro.org>  Tue, 21 Jun 2011 16:05:42 +0200

=== debian/control ===
Source: powerdebug
Section: utils
Priority: optional
Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Build-Depends: debhelper (>= 9), libncurses5-dev
Vcs-Git: git://git.linaro.org/tools/powerdebug.git
Standards-Version: 3.9.3

Package: powerdebug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to display regulator, sensor and clock information
 PowerDebug is a tool to display regulator, sensor and clock information.
 Data is refreshed every few seconds. There is also dump option to display
 the information just once.
 .
 Tool is mostly useful on non-x86 platforms.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	make CC=$(CC)

## powerdebug 0.6.2-2013.02

=== debian/changelog ===
powerdebug (0.6.2-2013.02-1) unstable; urgency=low

  * New upstream release.
  * Add ùyself to Uploaders.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 Feb 2013 09:27:36 +0200

=== debian/control ===
Source: powerdebug
Section: utils
Priority: optional
Maintainer: Linaro Packagers <linaro-pkg@lists.launchpad.net>
Uploaders: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8), libncurses5-dev
Vcs-Git: git://git.linaro.org/tools/powerdebug.git
Standards-Version: 3.9.3

Package: powerdebug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to display regulator, sensor and clock information
 PowerDebug is a tool to display regulator, sensor and clock information.
 Data is refreshed every few seconds. There is also dump option to display
 the information just once.
 .
 Tool is mostly useful on non-x86 platforms.

## powerdebug 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8
 
-WARNFLAGS=-Wall -Wshadow -W -Wformat -Wimplicit-function-declaration -Wimplicit-int
-CFLAGS?=-O1 -g ${WARNFLAGS}
+CFLAGS?=-O1 -g -Wall -Wshadow
 CC?=gcc
 
-OBJS = powerdebug.o sensor.o clocks.o regulator.o display.o
+OBJS = powerdebug.o sensor.o clocks.o regulator.o gpio.o \
+	display.o tree.o utils.o mainloop.o
 
 default: powerdebug
 
@@ -23,4 +23,4 @@
 all: powerdebug powerdebug.8.gz
 
 clean:
-	rm -f powerdebug *.o powerdebug.8.gz
+	rm -f powerdebug ${OBJS} powerdebug.8.gz

## powerdebug 0.7.0-2013.08

=== debian/changelog ===
powerdebug (0.7.0-2013.08-4) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Pass default CFLAGS from dpkg-buildflags to make.

 -- Bastian Germann <bage@debian.org>  Fri, 01 Sep 2023 16:04:46 +0200

powerdebug (0.7.0-2013.08-3) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: removing unnecessary "--parallel" argument.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/control: changed from 'libncurses5-dev' to 'libncurses-dev'
    in Build-Depends field.
  * debian/control: updating Vcs-Git and Vcs-Browser.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Sun, 04 Jun 2023 18:29:06 -0300

powerdebug (0.7.0-2013.08-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #879409)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 18:35:46 -0300

powerdebug (0.7.0-2013.08-1) unstable; urgency=low

  * New upstream release.
  * Remove Marcin from Uploaders.

 -- Fathi Boudra <fabo@debian.org>  Wed, 04 Sep 2013 13:37:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: powerdebug
 Section: utils
 Priority: optional
-Maintainer: Linaro Packagers <linaro-pkg@lists.launchpad.net>
-Uploaders: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8), libncurses5-dev
-Vcs-Git: git://git.linaro.org/tools/powerdebug.git
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libncurses-dev
+Vcs-Git: https://salsa.debian.org/debian/powerdebug.git
+Vcs-Browser: https://salsa.debian.org/debian/powerdebug
+Standards-Version: 4.6.2
 
 Package: powerdebug
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CC=$(CC) CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
